Tool
users_users_get
Fetch one end user of this product by id, including their identifiers and metadata bags.
Fetch one end user of this product by id, including their identifiers and metadata bags. Soft-deleted users are still returned (with `deletedAt` set).
Behavior
- HTTP
GET /users/users/:userId
Arguments
| Name | Type | Required | Description |
|---|---|---|---|
| userId | string | • | The opaque user id returned by users_users_create or _list. |
Response
| Field | Type | Always | Description |
|---|---|---|---|
| id | string | • | |
| name | string | • | |
| bannedAt | string | • | |
| erasedAt | string | • | |
| imageUrl | string | • | |
| testUser | boolean | • | |
| createdAt | string | • | |
| deletedAt | string | • | |
| productId | string | • | |
| updatedAt | string | • | |
| waitlisted | boolean | • | |
| identifiers | array | • | |
| lockedUntil | string | • | |
| lastSignInAt | string | • | |
| requiresReset | boolean | • | |
| publicMetadata | object | • | |
| unsafeMetadata | object | • | |
| privateMetadata | object | • | |
| emailChangeLockedUntil | string | • |
Try it
Fetch one end user of this product by id, including their identifiers and metadata bags.